export interface Product {
  id: number;
  link_rewrite: string;
  name: string;
  cover_picture_uuid: string;
  description: string;
  price: number;
  formatted_price: string;
  in_stock: number;
  is_sale_active: boolean;
  applied_tax_rate: number;
  tax_name: string;
}

export interface CartProduct {
  cart_item_id: number;
  link_rewrite: string;
  name: string;
  picture_uuid: string;
  product_id: number;
  quantity: number;
  single_item_price: number;
  total_price: number;
}

export interface UserCart {
  cart_items: CartProduct[];
  checkout_in_progress: boolean;
  currency_iso: string;
  id: number;
  total_value: number;
}
